"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var http_client_1 = require("./lib/http/http-client");
var backend_proxy_1 = require("./lib/http/backend-proxy");
var contracts_1 = require("./lib/http/contracts");
var messages_formatter_1 = require("./lib/messages-formatter");
var SlJsInfra;
(function (SlJsInfra) {
    SlJsInfra.HttpClient = http_client_1.HttpClient;
    SlJsInfra.BackendProxy = backend_proxy_1.BackendProxy;
    SlJsInfra.MessageFormatter = messages_formatter_1.MessagesFormatter;
    var Entities;
    (function (Entities) {
        Entities.BuildSessionData = contracts_1.BuildSessionData;
        Entities.CreateBuildSessionIdResponse = contracts_1.CreateBuildSessionIdResponse;
        Entities.HttpClientConfigData = contracts_1.HttpClientConfigData;
        Entities.GetVersionRequest = contracts_1.GetVersionRequest;
    })(Entities = SlJsInfra.Entities || (SlJsInfra.Entities = {}));
})(SlJsInfra = exports.SlJsInfra || (exports.SlJsInfra = {}));
