export declare class SLRoutes {
    static SLASH: string;
    static V1: string;
    static V2: string;
    static V3: string;
    static AGENTS: string;
    static BUILD_SESSION_ID: string;
    static BUILD_MAPPING: string;
    static RECOMMENDED_VERSION: string;
    static CONFIG: string;
    static LOG_SUBMISSION: string;
    private static agentsV1();
    private static agentsV2();
    private static agentsV3();
    static configV2(component: string, customerId: string, appName: string, branchName: string, testStage: string, version: string): string;
    static buildSessionV2(buildSessionId?: string): string;
    static logSubmissionV2(): string;
    static buildMappingV3(): string;
    static recommendedAgentV2(component: string, customerId: string, appName: string, branchName: string, testStage: string): string;
    private static toUri(uri);
    static buildQueryParams(paramsMap: any): string;
    private static addQueryStringValue(key, value);
}
