import { HttpClient as HC } from "./lib/http/http-client";
import { BackendProxy as BP } from "./lib/http/backend-proxy";
import { BuildSessionData as BSD, CreateBuildSessionIdResponse as CBIDResponse, HttpClientConfigData as HCCD, GetVersionRequest as GVR } from "./lib/http/contracts";
import { MessagesFormatter as MF } from "./lib/messages-formatter";
export declare namespace SlJsInfra {
    type HttpClient = HC;
    const HttpClient: typeof HC;
    type BackendProxy = BP;
    const BackendProxy: typeof BP;
    type MessageFormatter = MF;
    const MessageFormatter: typeof MF;
    namespace Entities {
        type BuildSessionData = BSD;
        const BuildSessionData: typeof BSD;
        type CreateBuildSessionIdResponse = CBIDResponse;
        const CreateBuildSessionIdResponse: typeof CBIDResponse;
        type HttpClientConfigData = HCCD;
        const HttpClientConfigData: typeof HCCD;
        type GetVersionRequest = GVR;
        const GetVersionRequest: typeof GVR;
    }
}
