"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("util");
var SlEnvVars = /** @class */ (function () {
    function SlEnvVars() {
    }
    SlEnvVars.initialize = function () {
        //TODO: Add static logger and initialize it here.
    };
    SlEnvVars.getHttpTimeout = function () {
        return this.parseNumber(SlEnvVars.HTTP_TIMEOUT);
    };
    SlEnvVars.parseNumber = function (key) {
        var valueFromEnv = process.env[key];
        if (valueFromEnv != null) {
            var valueAsNumber = new Number(valueFromEnv);
            if (util_1.isNumber(valueAsNumber)) {
                valueFromEnv = valueAsNumber;
            }
            else {
                //TODO: Add static logger and enable this line.
                //SlEnvVars.logger.warn(`Value set in the '${key}' environment property is equal to '${valueFromEnv}' which is not a valid number.`)
            }
        }
        return valueFromEnv;
    };
    SlEnvVars.HTTP_TIMEOUT = "SL_httpTimeout";
    SlEnvVars.CIA = /** @class */ (function () {
        function class_1() {
            this.PREFIXES_OF_EXCLUDED_FILES = "SL_prefixesOfExcludedFiles";
        }
        return class_1;
    }());
    return SlEnvVars;
}());
exports.SlEnvVars = SlEnvVars;
//Run the static initialization code as typescript doesn't have static ctors.
SlEnvVars.initialize();
